Skip to main content
GET
/
api
/
v1
/
admin_assistant_role_permissions
List admin assistant role permissions
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "admin_assistant_role_permission",
      "attributes": {
        "created_at": "<string>",
        "updated_at": "<string>",
        "permission": "edit_profile"
      },
      "relationships": {
        "admin_assistant_role": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "admin_assistant_role",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        }
      }
    }
  ],
  "meta": {
    "page": {
      "size": 123
    },
    "total": 123
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "last": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: admin_assistant_role

sort
string

Sort order. Prefix with - for descending. Allowed: created_at, updated_at

filter[key]
string

Filter results. Available filters: admin_assistant_role_id (filter by admin assistant role id), admin_assistant_role.

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

admin assistant role permissions found

data
object[]
required
meta
object